Subject: bug#28332: 26.0.50; vc-svn: calling revert-buffer multiple causes scrolling of buffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 14:11:15 +0200

Eli Zaretskii <[email-masked]> writes:

>> I'm not seeing this behaviour (in Emacs 26.1 or 28) -- `g' recenters the
>> window, though.  Are there any additional steps needed (than having a
>> long list of files in vc-dir and a shorter window than that)?
>
> The recentering _is_ the problem, AFAIU: why does 'g' do that?

Oh, OK -- I was just wondering if I was seeing something else than you
were.

I don't mind the recentering, really, but it is somewhat unusual
behaviour for a `g'-like command.  Perhaps Dmitry has some comments;
added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no